> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Uptime Monitor



## OpenAPI

````yaml PATCH /api/v1/uptime/{id}
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/uptime/{id}:
    patch:
      tags:
        - uptime
      summary: Update an uptime monitor
      operationId: UptimeMonitorController_update_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUptimeMonitorDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateUptimeMonitorDto:
      type: object
      properties:
        name:
          type: string
        targetUrl:
          type: string
        checkType:
          type: string
          enum:
            - UPTIME
            - CONTENT
        expectedResponseCode:
          type: string
        followRedirects:
          type: boolean
        contentAlert:
          type: string
          enum:
            - NOT_FOUND
            - FOUND
        content:
          type: string
        body:
          type: object
        timeout:
          type: string
        alertSensitivity:
          type: string
        httpMethod:
          type: string
        headers:
          type: array
          items:
            $ref: '#/components/schemas/HeaderDto'
        username:
          type: string
        password:
          type: string
        regions:
          type: array
          items:
            type: string
    HeaderDto:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
      required:
        - name
        - value
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````